### org.jfree.layouting.input.style.parser.stylehandler.border

# Class BackgroundClipReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.ListOfValuesReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.ListOfConstantsReadHandler`
    - - `org.jfree.layouting.input.style.parser.stylehandler.border.BackgroundClipReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class BackgroundClipReadHandler`
`extends ListOfConstantsReadHandler`

Creation-Date: 25.11.2005, 18:00:23

Author:
  Thomas Morgner

  ## Constructor Summary

  `BackgroundClipReadHandler()`

  ## Method Summary

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.ListOfConstantsReadHandler

  `addValue`, `isAutoAllowed`, `parseValue`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.ListOfValuesReadHandler

  `createValue`, `getMaxCount`, `isDistinctValues`, `parseValue`

## Constructor Details

### BackgroundClipReadHandler

    public BackgroundClipReadHandler()